Subject: Re: make headers_install broken for ARCH=m68k in 2.6.29-rc7.

From: Sam Ravnborg <[email-masked]>
Date: Fri, 13 Mar 2009 09:59:30 +0100

On Fri, Mar 13, 2009 at 09:33:18AM +0100, Geert Uytterhoeven wrote:
> On Fri, Mar 13, 2009 at 09:25, Sam Ravnborg <[email-masked]> wrote:
> > On Fri, Mar 13, 2009 at 05:04:57PM +1000, Greg Ungerer wrote:
> >> I pretty quick time I can fix up the last couple on the above list.
> >> But do we want to put all that change into 2.6.29-rc at this point?
> >
> > In general we do not want to have headers_check broken in mainline,
> 
> headers_check is not broken, headers_install is.
> 
> Hmm, in some sense headers_check _is_ broken, as it doesn't notice
> headers_install
> installs headers that refer to other headers that are not installed...
This is what scripts/headers_check are supposed to do - strange.

> Greg, I had a quick look at your signcontext.h and signal.h merge, and the MMU
> part seems to be OK.
> 
> However, some of the installed headers still have checks for CONFIG_MMU:
> 
> param.h:#ifdef CONFIG_MMU
> sigcontext.h:#ifndef CONFIG_MMU
> sigcontext.h:#ifdef CONFIG_MMU
> siginfo.h:#ifdef CONFIG_MMU
> siginfo.h:#ifdef CONFIG_MMU
> siginfo.h:#endif /* CONFIG_MMU */
> swab.h:#elif defined(CONFIG_MMU)
> 
> so these have to be added to the generic unifdef-y list (is that
> include/asm-generic/Kbuild.asm?).

include/asm-generic/Kbuild.asm impacts all architectures so be carefull there.
It looks like some updates to arch/m68k/include/asm/Kbuild is needed,
and not the generic list of files to export.

Also use og CONFIG_MMU suprises me.
We used #ifdef __uClinux__ in the non-merged headers to avoid use
of a CONFIG_* symbol that is not valid outside the kernel namespace.
So if param.h in m68k uses CONFIG_MMU it is broken.

	Sam